<!DOCTYPE html>
<html>
	<head>
		<title>Laço Do While</title>
		<meta http-equiv="Content-Type" content="text/html;">
		<meta charset="utf-8">
	</head>

	<body>
		<script language="javascript">
			var js_qht;
			var js_vht;
			var js_inss;
			var js_tdes;
			var js_sb;
			var js_sl;
			var js_resposta=true;

			do{
				js_qht = parseFloat(window.prompt('Informe a quantidade de horas trabalhadas/mês (135 a 180): ','Digite aqui'));
				js_vht = parseFloat(window.prompt('Informe o valor da hora trabalhada (25 a 50)): ','Digite aqui'));
				js_inss = parseFloat(window.prompt('Informe o percentual de desconto INSS (5 a 15): ','Digite aqui'));

				js_sb = js_vht * js_qht;
				js_tdes = (js_inss/100)*js_sb;
				js_sl = js_sb - js_tdes;

				document.write('<p><b>DEMONSTRATIVO PARA CÁLCULO DO SALÁRIO LÍQUIDO</b>');

				document.write('<p>Quantidade de horas trabalhadas (135 a 180) => </b>' + js_qht + '</b>');
				if(js_qht > 180){
					document.write(' ... (<b>Valor máximo excedido</b>');
				}
				if(js_qht < 135){
					document.write(' ... (<b>Valor mínimo inválido</b>');
				}

				document.write('<p>Valor da hora trabalhada (25 a 50) => </b>' + js_vht + '</b>');
				if(js_vht > 50){
					document.write(' ... (<b>Valor máximo excedido</b>');
				}
				if(js_vht < 25){
					document.write(' ... (<b>Valor mínimo inválido</b>');
				}

				document.write('<p>Percentual de desconto INSS (5 a 15) => </b>' + js_qht + '</b>');
				if(js_inss > 15){
					document.write(' ... (<b>Valor máximo excedido</b>');
				}
				if(js_inss < 5){
					document.write(' ... (<b>Valor mínimo inválido</b>');
				}

				document.write('<p><b>Salário bruto = </b>' + js_sb);
				document.write('<p>Total de desconto INSS = ' + js_tdes);
				document.write('<p><b>Salário líquido = </b>' + js_sl);

				if(js_sl > 10500){
					document.write(' ... (<b>Salário elevado</b> maior que 10500)');
				}
				else{
					if(js_sl > 6000){
						document.write(' ... (<b>Salário satisfatório</b> maior que 6000)');
					}
					else{
						if(js_sl > 3000){
							document.write(' ... (<b>Salário moderado</b> maior que 3000)');	
						}
						else{
							document.write(' ... (<b>Salário insatisfatório</b> menor ou igual a 3000)');
						}
					}
				}

				document.write('<p>==================================');

				js_resposta = window.confirm('Deseja continuar?');

			}
			while(js_resposta == true);


		</script>
	</body>
</html>